DH_PGXS_TEST(1)

NAME
dh_pgxs_test - Run testsuite during a PGXS PostgreSQL extension build

SYNOPSIS
dh_pgxs_test [loop]

DESCRIPTION
PostgreSQL extensions need to be installed before they can be tested and hence the usual debhelper way of invoking tests from dh_auto_test(1) does not work.

dh_pgxs_test is a dh(1) sequence point created by the pgxs and pgxs_loop debhelper extensions that is executed after dh_auto_install(1). It calls pg_buildext installcheck after a PostgreSQL extension module has been built and installed into the debian/packagename/ directory.

Users wishing to change the action called by dh_pgxs_test should call pg_buildext or similar commands.

  override_dh_pgxs_test:
          echo "CREATE EXTENSION foo" | pg_buildext psql . . postgresql-%v-foo

OPTIONS

loop
    dh --with pgxs builds packages in build-%v subdirectories. The loop options corresponds to dh --with pgxs_loop and builds in the top-level directory.

SEE ALSO
debhelper(7), dh(1), dh_make_pgxs(1), pg_buildext(1).

AUTHOR
Christoph Berg <myon@debian.org>